org.jgroups.blocks

## Interface DistributedQueue.Notification

All Known Implementing Classes:
  DistributedQueueDemo

Enclosing class:
  DistributedQueue

    public static interface DistributedQueue.Notification

### Method Summary

Methods
`void` `contentsCleared()`
`void` `contentsSet(java.util.Collection new_entries)`
`void` `entryAdd(java.lang.Object value)`
`void` `entryRemoved(java.lang.Object key)`
`void` `viewChange(java.util.Vector new_mbrs, java.util.Vector old_mbrs)`

### Method Detail

#### entryAdd

    void entryAdd(java.lang.Object value)

#### entryRemoved

    void entryRemoved(java.lang.Object key)

#### viewChange

    void viewChange(java.util.Vector new_mbrs,
                  java.util.Vector old_mbrs)

#### contentsCleared

    void contentsCleared()

#### contentsSet

    void contentsSet(java.util.Collection new_entries)